<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Questionnaire item keys — qstnr_item_keys • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Questionnaire item keys — qstnr_item_keys"><meta name="description" content="A tibble of item keys supported in the raw FOKUS questionnaire data."><meta property="og:description" content="A tibble of item keys supported in the raw FOKUS questionnaire data."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Questionnaire item keys</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>qstnr_item_keys.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>A tibble of item keys supported in the <a href="raw_qstnr.html">raw FOKUS questionnaire data</a>.</p>
    </div>


    <div class="section level2">
    <h2 id="format">Format<a class="anchor" aria-label="anchor" href="#format"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other FOKUS metadata:
<code><a href="all_argument_sides.html">all_argument_sides</a></code>,
<code><a href="all_ballot_dates.html">all_ballot_dates</a></code>,
<code><a href="all_ballot_types.html">all_ballot_types</a></code>,
<code><a href="all_cantons.html">all_cantons</a></code>,
<code><a href="all_election_seat_types.html">all_election_seat_types</a></code>,
<code><a href="all_langs.html">all_langs</a></code>,
<code><a href="all_lvls.html">all_lvls</a></code>,
<code><a href="all_main_motive_types.html">all_main_motive_types</a></code>,
<code><a href="all_name_types.html">all_name_types</a></code>,
<code><a href="all_postal_dispatch_types.html">all_postal_dispatch_types</a></code>,
<code><a href="all_postal_dispatch_ways.html">all_postal_dispatch_ways</a></code>,
<code><a href="all_prcds.html">all_prcds</a></code>,
<code><a href="all_proposal_types.html">all_proposal_types</a></code>,
<code><a href="all_qstn_groups.html">all_qstn_groups</a></code>,
<code><a href="all_response_option_types.html">all_response_option_types</a></code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">fokus</span><span class="fu">:::</span><span class="va">qstnr_item_keys</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 23 × 9</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    key              is_scalar is_iterator is_excluder is_optional type      default                  remarks                                         default_val</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>            <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                                           <span style="color: #949494; font-style: italic;">&lt;list&gt;</span>     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> lvl              FALSE     TRUE        FALSE       FALSE       character <span style="color: #949494;">"</span>\"?\"<span style="color: #949494;">"</span>                  <span style="color: #949494;">"</span>political-level loop iterator<span style="color: #949494;">"</span>                 <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> i                FALSE     TRUE        FALSE       FALSE       integer   <span style="color: #949494;">"</span>NA_integer_<span style="color: #949494;">"</span>            <span style="color: #949494;">"</span>2nd-level loop iterator<span style="color: #949494;">"</span>                       <span style="color: #949494;">&lt;int [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> j                FALSE     TRUE        FALSE       FALSE       integer   <span style="color: #949494;">"</span>NA_integer_<span style="color: #949494;">"</span>            <span style="color: #949494;">"</span>3rd-level loop iterator, i.e. \"for each `lvl… <span style="color: #949494;">&lt;int [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> block            TRUE      FALSE       FALSE       FALSE       character <span style="color: #949494;">"</span>*top-level block name*<span style="color: #949494;">"</span> <span style="color: #949494;">"</span>holds the name of the respective top-level bl… <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> variable_name    TRUE      FALSE       FALSE       FALSE       character <span style="color: #949494;">"</span>\"???\"<span style="color: #949494;">"</span>                <span style="color: #949494;">"</span>aka \"Variablenname\"; mustn't have any subke… <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> who              TRUE      FALSE       FALSE       FALSE       character <span style="color: #949494;">"</span>\"alle\"<span style="color: #949494;">"</span>               <span style="color: #949494;">"</span>aka \"Wer\"<span style="color: #949494;">"</span>                                   <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> topic            TRUE      FALSE       FALSE       TRUE        character  <span style="color: #BB0000;">NA</span>                      <span style="color: #949494;">"</span>aka \"Thema\"<span style="color: #949494;">"</span>                                 <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> question_intro_i TRUE      FALSE       FALSE       TRUE        character  <span style="color: #BB0000;">NA</span>                      <span style="color: #949494;">"</span>1st-priority part of \"Frage\", only included… <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> question_intro_j TRUE      FALSE       FALSE       TRUE        character  <span style="color: #BB0000;">NA</span>                      <span style="color: #949494;">"</span>2nd-priority part of \"Frage\", only included… <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> question         TRUE      FALSE       FALSE       TRUE        character  <span style="color: #BB0000;">NA</span>                      <span style="color: #949494;">"</span>last-priority part of \"Frage\", always inclu… <span style="color: #949494;">&lt;chr [1]&gt;</span>  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 13 more rows</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

